starknet_traceBlockTransactions
curl --request POST \
--url https://starknet-mainnet.core.chainstack.com/365cf697a3ad6d950b4c4a911e2e4f4d \
--header 'Content-Type: application/json' \
--data '
{
"id": 1,
"jsonrpc": "2.0",
"method": "starknet_traceBlockTransactions",
"params": {
"block_id": {
"block_number": 456600
}
}
}
'import requests
url = "https://starknet-mainnet.core.chainstack.com/365cf697a3ad6d950b4c4a911e2e4f4d"
payload = {
"id": 1,
"jsonrpc": "2.0",
"method": "starknet_traceBlockTransactions",
"params": { "block_id": { "block_number": 456600 } }
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 1,
jsonrpc: '2.0',
method: 'starknet_traceBlockTransactions',
params: {block_id: {block_number: 456600}}
})
};
fetch('https://starknet-mainnet.core.chainstack.com/365cf697a3ad6d950b4c4a911e2e4f4d', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Starknet node API
starknet_traceBlockTransactions | Starknet
Starknet API method that returns the execution trace of all transactions in a given block. starknet_traceBlockTransactions on Starknet via Chainstack.
POST
/
365cf697a3ad6d950b4c4a911e2e4f4d
starknet_traceBlockTransactions
OpenRPC specFor the latest version of the publicly maintained OpenRPC spec, see the Starknet specs GitHub repo.
Get your own node endpoint todayStart for free and get your app to production levels immediately. No credit card required.You can sign up with your GitHub, X, Google, or Microsoft account.
Parameters
-
block_id— the hash of the requested block, or number (height) of the requested block, or a block tag:block_hash— hash of the block.block_number— block number, accept integer.block_tag—latestfor the latest one added to the chain orpendingfor the pending one.
Response
result— the execution trace of all transactions in the block, represented as a list of transaction traces.
Use case
A practical use case forstarknet_traceBlockTransactions is to analyze the execution of transactions in a specific block. This can be useful for debugging purposes, as it allows developers to understand the sequence of operations that were performed during the execution of each transaction.
Deprecated feeder gateway method
The feeder gateway was deprecated on December 11, 2023. Example of the call you had to make to the feeder gateway before the deprecation:Shell
curl 'https://alpha-mainnet.starknet.io/feeder_gateway/get_block_traces?blockNumber=456600'
Last modified on June 22, 2026
Was this page helpful?